2010-07-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Better fix for Bug 617276 - MonoDevelop
	  crashes when clicking on a script error in Unity3d.

2010-06-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Quote paths when opening files.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Implemented CanOpenTerminal/OpenInTerminal.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Updater/UpdateService.cs: Fix incorrect use of
	  ShowCustomDialog/RunCustomDialog.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Add a Return glyph mapping.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: More Macification.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Macify some command names.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Attempt to fix keyval->menu accel mapping
	  for non-English keyboards.

2010-05-11  Levi Bard  <levi@unity3d.com>

	* Framework/AppleEvent.cs: Off-by-one.

2010-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Menus/OSXMenu.cs: Track api changes.

2010-05-04  Jonathan Pobst  <monkey@jpobst.com>

	* Framework/AppleScript.cs: csc can't do Enum->Struct cast,
	make it an Enum->int->Struct cast.

2010-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.cs:
	* MacPlatform.csproj:
	* Framework/AppleScript.cs:
	* ExternalConsoleProcess.cs: Implemented Mac external console,
	  somewhat hackily.

2010-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs:
	* Menus/OSXMenu.cs: Cleaner OpenUrl implementation.

2010-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.cs:
	* MacPlatform.csproj: Call 'open' directly when opening urls
	  to avoid the -W argument that mono adds, which leaves us
	  with lots of zombie 'open' processes.

2010-04-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs:
	* Framework/AppleEvent.cs:
	* Framework/AppleScript.cs: Moved all the AE stuff from Carbon
	  to AppleEvents.

2010-04-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs:
	* Framework/AppleEvent.cs:
	* Framework/AppleScript.cs:
	* Framework/ComponentManager.cs: Finally, working support for
	  running AppleScript directly.

2010-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.csproj:
	* Framework/Carbon.cs:
	* Framework/NavDialog.cs:
	* Framework/AppleEvent.cs:
	* Framework/AppleScript.cs:
	* Framework/ComponentManager.cs: Bind some OSA/AppleScript
	  stuff.

2010-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Track API.

2010-04-19  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Remove debug code.

2010-04-18  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Pass source type to command dispatch. Use
	  command dispatch event to flash menubar when commands are
	  triggered from a keybinding.

	* MacPlatform.cs: Convert enum command IDs to strings in a
	  compatible way so they can be matched against the values we
	  get from the command service.

	* Framework/HIToolbox.cs: Add P/Invoke sigs.

2010-03-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs:
	* Framework/Carbon.cs:
	* Framework/ApplicationEvents.cs: Don't crash when the user
	  cancels quitting.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MacPlatform.addin.xml: Bumped MD version.

2010-03-18  Levi Bard  <levi@unity3d.com>

	* MacPlatform.cs: Track API changes.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Commands.cs:
	* MacPlatform.cs:
	* Menus/OSXMenu.cs:
	* MacPlatform.csproj:
	* gtk-gui/gui.stetic:
	* MacPlatform.addin.xml:
	* Updater/UpdateResult.cs:
	* Updater/UpdateDialog.cs:
	* Updater/UpdateService.cs: Merged MD.Projects into MD.Core,
	  and MD.Projects.Gui, MD.Core.Gui and MD.Components into
	  MD.Ide.

2010-03-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Unbreak the OpenDocuments handler - the
	  position handling changes stopped it from working when
	  starting MD and when opening solutions.

2010-03-16  Levi Bard  <levi@unity3d.com>

	* MacPlatform/MacPlatform.cs
	* MacPlatform/Framework/Carbon.cs
	* MacPlatform/Framework/ApplicationEvents.cs: Enable position 
	  to be passed in OpenDocuments call.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.csproj:
	* Framework/NavDialog.cs:
	* Framework/HIToolbox.cs:
	* Framework/AppleEvent.cs:
	* Framework/CoreFoundation.cs:
	* MacSelectFileDialogHandler.cs: More work on native dialogs.

2010-02-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Fix extensions.

	* MacSelectFileDialogHandler.cs: Stub other dialog handlers.

2010-02-22  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs: Better errors in exceptions.

2010-02-22  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.csproj:
	* Framework/Carbon.cs:
	* MacPlatform.addin.xml:
	* Framework/NavDialog.cs:
	* MacSelectFileDialogHandler.cs: First shot at implementing
	  Mac native dialogs.

2010-01-28  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateService.cs: Send env flags to the update
	  server.

2010-01-28  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Colorize betas and alphas in the
	  update dialog.

2010-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateResult.cs: Fix property initialization.

	* Updater/UpdateDialog.cs: Remove unused field.

	* Updater/UpdateService.cs: Fix attribute name.

2010-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Fix threading issue.

2010-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* Updater/UpdateResult.cs:
	* Updater/UpdateDialog.cs:
	* Updater/UpdateService.cs:
	* gtk-gui/MonoDevelop.Platform.Updater.UpdateDialog.cs: Add
	  new alpha channel and clean up GUI for switching channels.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Remove stray ShowAll call.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Tidy up updater GUI a little more.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Improve update GUI a bit more.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Tidy up the update list a little.

2010-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs:
	* Framework/ApplicationEvents.cs: Fix HandleOpenUrls event
	  class and string marshalling. Also fix event uninstallation.

2010-01-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/ApplicationEvents.cs: Fix event IDs. Use
	  GetUrlListFromEventRef.

	* Framework/Carbon.cs: New GetUrlListFromEventRef and
	  GetStringFromAEPtr methods.

2010-01-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs:
	* Framework/ApplicationEvents.cs: Remove OpenContents event
	  since it didn't really work.

2010-01-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/ApplicationEvents.cs: Fix locking.

2010-01-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.cs:
	* MacPlatform.csproj:
	* Framework/Carbon.cs:
	* Framework/ApplicationEvents.cs: Refactor out
	  ApplicationEvents code.

2010-01-14  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs: Cache the stable/unstable result so
	  we don't re-request on every toggle.

2010-01-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs:
	* Updater/UpdateService.cs: Let the server handle the logic of
	  showing stable updates to users with unstable versions when
	  they opt back out of the unstable channel.

2010-01-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater/UpdateDialog.cs:
	* Updater/UpdateResult.cs:
	* Updater/UpdateService.cs: Filter and flag unstable updates.

2010-01-13  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* Updater/UpdateDialog.cs:
	* gtk-gui/MonoDevelop.Platform.Updater.UpdateDialog.cs: Tweak
	  layout. Show message when fetching unstable updates.

2010-01-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Updater:
	* Makefile.am:
	* Commands.cs:
	* MacUpdater.cs:
	* UpdateDialog.cs:
	* MacPlatform.csproj:
	* gtk-gui/gui.stetic:
	* Updater/Commands.cs:
	* MacPlatform.addin.xml:
	* Updater/UpdateResult.cs:
	* Updater/UpdateDialog.cs:
	* Updater/UpdateService.cs:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs:
	* gtk-gui/MonoDevelop.Platform.Updater.UpdateDialog.cs:
	  Refactor the updater code into something a bit more
	  reusable. Make update dialog singleton. Allow checking for
	  unstable updates, when the web service allows it. Present
	  errors in the updater dialog iteself.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Use new Workbench.HasToplevelFocus
	  property so that the main menu is enabled when focus is in
	  floating pad.

2009-12-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacUpdater.cs: Add the updateinfo for MonoTouch source.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs:
	* Framework/Carbon.cs: Try to set the process name using
	  private carbon API, to make sure that the main menu displays
	  correctly, even on 2.6 previews and when started from a
	  launch script directly.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Check that apache mime DB exists before
	  trying to read it.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Don't return an invalid application from
	  GetAllApplications. Fixes "Bug 552403 - Right clicking Open
	  With -> List of programs to open with on a file results in
	  an exception".

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Fix author.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MacPlatform.addin.xml: Bump MD version.

2009-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Oops, fix menu item index. With last few
	  commits, fixes Bug 545151 - Dynamic submenus in Mac main
	  menu don't work.

2009-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Set the refcon in dynamic submenus, so the
	  command can be run.

2009-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Handle array separators, try 3.

2009-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Fix separators in arrays commands, try 2.

2009-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Fix separators in dynamic submenus.

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MacUpdater.cs: Add csdk updateinfo file. Remove the hack for
	  forcing Mono updateinfos as it won't work with the
	  architectural variations of the Mono packages.

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* MacUpdater.cs:
	* UpdateDialog.cs: Add workaround for updating older versions
	  of Mono that don't have updateinfo file. Clean up API.

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MacUpdater.cs: Tidy up.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MacPlatform.addin.xml: Bump MD version.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs: Fix closure capturing var from loop. Tweak
	  spacing.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs: Fix label
	  alignment.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs: Make textviews noneditable. Fix margins and
	  wrapping.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs: Tweak presentation of release notes.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MacUpdater.cs:
	* UpdateDialog.cs: Better presentation of older releases.
	  Tweak packing.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs: Tweak frames.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs: Add frames around the updates.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs: Restore the
	  info label.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* MacPlatform.cs:
	* MacPlatform.addin.xml: Use a proper startup command handler.

	* MacUpdater.cs:
	* UpdateDialog.cs:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs: Simplify
	  dialog and show it down there are no updates.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs: Prettify
	  update dialog.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs: Hide command when no updateable packages exist.

	* MacUpdater.cs: Fix update paths.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* UpdateDialog.cs: Add missing ShowAll call.

	* MacUpdater.cs: If explictly checking for updates, tell the
	  user if there are none.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Fix command handler name.

2009-10-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* MacPlatform.addin.xml: Add command for checking for updates.

	* Makefile.am:
	* MacPlatform.csproj: Updated.

	* MacUpdater.cs:
	* UpdateDialog.cs: Add updater dialog.

	* gtk-gui:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Platform.UpdateDialog.cs: Add generated
	  files.

2009-09-30  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacUpdater.cs:
	* MacPlatform.cs:
	* MacPlatform.csproj: Add mostly-implemented Mac updater.

2009-09-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* Framework/Carbon.cs: ProcessHICommand takes command by ref.

2009-09-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* Framework/Carbon.cs: Send the commands from the menu.

2009-09-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Fix command names.

2009-09-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* Framework/Carbon.cs:
	* MacPlatform.addin.xml: Add command handlers for Hide Window
	  and Hide Others.

2009-09-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Fix casing of addin attribute.

2009-09-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Depend on the Ide addin.

2009-09-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.addin.xml: Put the command in the menu.

2009-09-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* Makefile.am:
	* MacPlatform.csproj:
	* MacPlatform.addin.xml: Add a Minimize command.

2009-09-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Change default font to Monaco now that the
	  text editor offset bug is fixed.

2009-09-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Bump GTK+ requirement to 2.17.9 to require
	  client-side windows, which greatly reduces rendering
	  glitches.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MacPlatform.csproj: Updated dependencies. We now depend on
	  gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Implement simple GMarkup stripping for
	  command strings.

2009-07-30  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Fix unhiding of menu items.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Tweaks to display some glyphs correctly.

2009-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Check GTK# version. Fix default font string.

	* Framework/Carbon.cs: Fix build.

2009-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Use Osaka Regular-Mono font as a workaround
	  for kerning-related text selection issues with other
	  Monospace fonts on Mac.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs: More bindings.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs: In-progress wrappers for file dialog
	  APIs.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Open files when the open-documents event
	  comes in.

	* Framework/Carbon.cs: Add a note about path length.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework/Carbon.cs: Added P/Invokes and structure/enum
	  definitions for AEDesc and FSRef manipulation.

	* MacPlatform.cs: Register for file open events, and extract
	  the filenames. Staticify some global stuff.

2009-04-15  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Add some notes. Don't show accelerators
	  with modifiers we can't display.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MacPlatform.addin.xml: Bump MD version.

2009-04-14  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Implement support for link commands. Tidy
	  up errors and warnings.

2009-04-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: When array commands have no items, leave
	  an invisible item in the list so it can still get updated
	  later.

	* Framework/HIToolbox.cs: More P/Invokes.

2009-04-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.csproj: Updated.

	* Ige:
	* Ige/IgeMacDock.cs:
	* Ige/IgeMacMenu.cs:
	* Ige/IgeMacBundle.cs:
	* Ige/ObjectManager.cs:
	* Ige/IgeMacMenuGroup.cs:
	* Ige/IgeMacAttentionType.cs:
	* Ige/IgeMacAttentionRequest.cs: Remove IGE, as it's no longer
	  used.

	* Menus/OSXMenu.cs: Make comment clearer.

	* MacPlatform.cs: Remove IGE. Add dock quit and click support.
	  Stub doc open support.

	* Framework/Carbon.cs: Add some more definitions.

2009-04-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Implement support for array commands and
	  dynamically populated submenus.

	* Framework/HIToolbox.cs: More P/Invokes and enums.

2009-04-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Keep commands ID mappings around
	  permanently, so that recreation is cleaner. Fixes app menu
	  commands after recreation.

	* MacPlatform.cs: Hide quit command from file menu, since it's
	  in app menu. Track API.

2009-04-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Lots of refactoring. Handle updating text,
	  accelerators, visibility, sensitivity. Hide unnecessary
	  separators. Disable menus when MD root window doesn't have
	  toplevel focus so that it can't interfere with modal
	  dialogs. Map commands to standard command IDs when possible.
	  Dispatch commands after returning from handler. Avoid
	  command ID 0 since it's used when there's no command ID. Add
	  an API for handling the app menu.

	* MacPlatform.cs: Install app menu items without using IGE.
	  Enable Mac menu since it mostly works now.

	* Framework/Carbon.cs: More bindings. Fix Handled/NotHandled
	  values (MWF had them the wrong way round).

	* Framework/HIToolbox.cs: More bindings.

2009-04-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MacPlatform.csproj: Add System.Core ref.

	* Menus/OSXMenu.cs: Implement command enabled/disable
	  updating.

	* Framework/Carbon.cs: Add command enums values.

	* Framework/HIToolbox.cs: More P/Invokes.

	* MacPlatform.cs: Track API. Hide commands that're in the app
	  menu.

2009-04-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Track API. Update menu when the command set
	  changes.

	* Framework/Carbon.cs: Wrap Install*EventHandler in nicer API.

	* Framework/HIToolbox.cs: Add ClearMenuBar and DeleteMenu
	  P/Invokes, and wrap CreateMenu in nicer API.

	* Menus/OSXMenu.cs: Heavy refactoring. Make static, since
	  there is only ever one global menu. Handle
	  destorying/recreating menu. Track P/Invokes API wrapper
	  changes.

2009-04-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Menus/OSXMenu.cs: Don't use instance methods as callbacks,
	  as the managed objects are currently GC'd. We can now handle
	  the menu open events and writeline the menu names.

	* Framework/Carbon.cs: Add a GetEventParameter overload for
	  IntPtr.

	* Framework/HIToolbox.cs: ToString overload for
	  CarbonMenuException.

2009-04-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Framework:
	* Makefile.am:
	* MacPlatform.csproj:
	* Framework/Carbon.cs:
	* Framework/HIToolbox.cs:
	* Framework/CoreFoundation.cs: Move the P/Invokes and wrappers
	  into a separate framework namespace.

	* Menus/OSXMenu.cs: Add an event handler so that the commands
	  are run when the menu's clicked. Move P/Invokes and wrappers
	  into another namespace.

2009-04-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Use the OSXMenu wrapper instead of IGE.
	  Currently disabled.

	* Menus:
	* Makefile.am:
	* Menus/OSXMenu.cs:
	* MacPlatform.csproj: Add Miguel's first pass at wrapping the
	  OS X menus.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MacPlatform.csproj: Flush.

2009-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.csproj: Remove unwanted local copies.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.csproj: Enable makefile integration.

	* Makefile.am: Update.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Add working main menu support, but disable,
	  because the menus don't display correctly. Add Mac-like
	  close window, quit, etc behaviour. Add App menu commands.

2009-02-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.csproj: Embed the addin manifest.

2009-02-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.csproj: Updated.

	* Ige:
	* Ige/IgeMacDock.cs:
	* Ige/IgeMacMenu.cs:
	* Ige/IgeMacBundle.cs:
	* Ige/ObjectManager.cs:
	* Ige/IgeMacMenuGroup.cs:
	* Ige/IgeMacAttentionType.cs:
	* Ige/IgeMacAttentionRequest.cs: Add local copy of Mac
	  integration binding.

	* MacPlatform.cs: Implement main menu and Dock Quit
	  integration. Untested.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.csproj: Remove more inadvertent local copying of
	  references.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.csproj: Add project file for MacPlatform addin.

2009-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MacPlatform.cs: Fix spelling of default font's name.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MacPlatform.addin.xml: Bump MD version.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MacPlatform.addin.xml: Bump MD version.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MacPlatform.cs: Track api changes.

2008-02-14  Geoff Norton  <gnorton@novell.com>

	* MacPlatform.cs:  Expose the Name property.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MacPlatform.addin.xml: Update MD version.

2007-12-17  Geoff Norton  <gnorton@novell.com>

	* Makefile.am: Fix the build on the Mac profile

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MacPlatform.addin.xml, MacPlatform.cs: Moved PlatformService to
	  MD.Core.Gui. Removed old FileIconService class, which is now implemented
	  in PlatformService.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MacPlatform.addin.xml: Bump add-in versions.

2007-12-06  Geoff Norton  <gnorton@novell.com>
	
	* Initial check in of the Mac PlatformService that provides
	Mac equivalents to the Gnome calls in Gnome.Vfs
